2021-06-21 17:23 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005152CoolWorld[WHDLoad Installs Games] slavepublic2021-05-01 13:42
ReporterPaul Head 
Assigned ToCFOUProject InfoCool World (Ocean)
http://www.whdload.de/games/CoolWorld.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005152: Highscores show incorrectly
DescriptionHighscores do not display correctly on the first viewing after loading the game. Here are the default scores:

100000 ANDY
 70000 FIN
 60000 DAVE
 50000 MARK
 40000 JABBA
 30000 WAYNE

Now after getting a score of 44750 and entering my name, it looks like this:

100000 ANDY
 70000 FIN
 60000 DAVE
 50000 MARK
 44750 PAUL HEAD
 40000 JABBA

Now if I quit the game and load it up again and wait for the Highscores screen to display it shows this:

100000 ANDY
 70000 FIN
 60000 DAVE
 50000 MARK
 44750 JABBA
 40000 WAYNE

As you can see, clearly wrong as WAYNE shouldn't be there, JABBA should be one place down and I should be where JABBA is.

When the Highscore screen displays again it displays correctly.
Steps To ReproduceSee description.
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.0
KickROM39 - Kick 3.0
KickSoftNone
WHDLoad18.6
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0010127

CFOU (developer)

I have to save the highscore too soon (before it is sorted), I will look at this

note ~0010132

CFOU (developer)

to fix

note ~0010138

CFOU (developer)

fixed with version 2.2
+Notes

-Issue History
Date Modified Username Field Change
2021-04-23 13:34 Paul Head New Issue
2021-04-23 14:34 StingRay Assigned To => CFOU
2021-04-23 14:34 StingRay Status new => assigned
2021-04-29 10:26 CFOU Note Added: 0010127
2021-04-29 19:45 CFOU Status assigned => confirmed
2021-04-29 19:45 CFOU Note Added: 0010132
2021-05-01 13:42 CFOU Status confirmed => closed
2021-05-01 13:42 CFOU Resolution open => fixed
2021-05-01 13:42 CFOU Note Added: 0010138
+Issue History